Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

In this Discussion

osTicket v1.10 (stable) and Maintenance Release v1.9.15 are now available! Go get it now

LDAP extension is not available. Please install or enable the `php-ldap` extension on your web serve

I am using below Osticket version and I am unable to configure LDAP and it says message "LDAP extension is not available. Please install or enable the `php-ldap` extension on your web serve" Please can you advice here what need to see for this problem.

1.v1.9.3 (bba9ccc)
2.Apache/2.4.4 (Win32) PHP/5.4.16
3.windows 2008 r2 for AD

Comments

  • edited September 2014
    The error is pretty self explanatory.  You need to enable the LDAP extension in PHP.

    For windows systems you need to make sure that you have the extension.  It should be in your PHP5/ext folder.  If its not there you will need to get the version that corresponds with the version you have installed from PHP.net. [or alternatively you could upgrade your version of PHP]  And then go into your php.ini and add or uncomment this:

    extension=php_ldap.dll

    As a side note, this has been covered on the forums multiple times, and search is your friend. :)
  • thanks for information ,
    I have enabled in php.ini extension=php_ldap.dll and also found in C:\wamp\bin\php\php5.4.16\ext
    but still I am getting this error
  • Did you restart your web server software after making the php change?

    If you are still seeing this error after restarting Apache then its likely that your path to the extensions in the php.ini isn't correct because the only time that you error happens is if PHP cannot find the extension or it isn't loaded.  Also check to make sure that you do not have multiple php.ini files, Windows users often do.

    Regardless this is a server configuration issue, not an osTicket one.


  • Thanks for quote.
    I restarted web server after changes. 
    confirmed php.ini file located one place,
    ext are located in C:\wamp\bin\php\php5.4.16\ext   is this correct?


  • You have not supplied enough information about your setup for me to answer that question. I do not run WAMP server, so I have no idea where it wants the extensions. I install and configure PHP, Apache, etc and configure it myself instead of relying on third parties to push them together and configure them the way they think is best.  You would need to consult your php.ini to find out what folder is used for extensions, and make sure that the extension is located inside said folder.  Failing that you would want to consult with the publishers of WAMP server for further support.
  • Thanks. 
    Finally I done LDAP configuration,&  I tried to access in client usr and passwrd but it dosnt lookup from AD.
    what else need to be done. 
    Please advice.
Sign In or Register to comment.